Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyMemberDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
                  org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

All Implemented Interfaces:
  GroovyMemberDoc

    public class SimpleGroovyMemberDoc
    extends SimpleGroovyAbstractableElementDoc

Field Summary
`protected GroovyClassDoc` | `belongsToClass`

Constructor Summary
`SimpleGroovyMemberDoc(String name, GroovyClassDoc belongsToClass)`

Method Summary
`String` | `commentText()`
`String` | `firstSentenceCommentText()`
`boolean` | `isSynthetic()`

Methods inherited from class SimpleGroovyAbstractableElementDoc
isAbstract, setAbstract

Methods inherited from class SimpleGroovyProgramElementDoc
addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### belongsToClass

    protected GroovyClassDoc belongsToClass

Constructor Detail

### SimpleGroovyMemberDoc

    public SimpleGroovyMemberDoc(String name, GroovyClassDoc belongsToClass)

Method Detail

### commentText

    public String commentText()

### firstSentenceCommentText

    public String firstSentenceCommentText()

### isSynthetic

    public boolean isSynthetic()

Copyright © 2003-2010 The Codehaus. All rights reserved.